import {ChatMessage} from './chat.message';
import {User} from './user';

export interface WebsocketListener
{
  onChatMessage(message: ChatMessage): void;

  onLogout(): void;

  onConnection(): void;

  onReconnect(): void;

  onUserListInit(userList: User[]): void;

  onUserConnected(user: User): void;

  onUserDisconnected(userId: number): void;

  onError(message: string): void;
}
